> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a workspace



## OpenAPI

````yaml GET /v1/workspaces/{workspaceId}
openapi: 3.1.1
info:
  title: Builder API
  version: 1.0.0
servers:
  - url: https://app.typebot.com/api
security: []
externalDocs:
  url: https://docs.typebot.com/api-reference
paths:
  /v1/workspaces/{workspaceId}:
    get:
      tags:
        - Workspace
      summary: Get workspace
      operationId: workspace-getWorkspace
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            description: >-
              [Where to find my workspace
              ID?](../how-to#how-to-find-my-workspaceid)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspace:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                        x-native-type: date
                      updatedAt:
                        type: string
                        format: date-time
                        x-native-type: date
                      name:
                        type: string
                      icon:
                        anyOf:
                          - type: string
                          - type: 'null'
                      plan:
                        enum:
                          - FREE
                          - STARTER
                          - PRO
                          - LIFETIME
                          - OFFERED
                          - CUSTOM
                          - UNLIMITED
                          - ENTERPRISE
                        type: string
                      stripeId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      settings:
                        anyOf:
                          - type: object
                          - type: 'null'
                      customChatsLimit:
                        anyOf:
                          - type: number
                          - type: 'null'
                      customSeatsLimit:
                        anyOf:
                          - type: number
                          - type: 'null'
                      isSuspended:
                        type: boolean
                      isPastDue:
                        type: boolean
                      isVerified:
                        anyOf:
                          - type: boolean
                          - type: 'null'
                      chatsHardLimit:
                        anyOf:
                          - type: number
                          - type: 'null'
                      lastActivityAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      inactiveFirstEmailSentAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      inactiveSecondEmailSentAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                    required:
                      - id
                      - createdAt
                      - updatedAt
                      - name
                      - icon
                      - plan
                      - stripeId
                      - settings
                      - customChatsLimit
                      - customSeatsLimit
                      - isSuspended
                      - isPastDue
                      - isVerified
                      - chatsHardLimit
                      - lastActivityAt
                      - inactiveFirstEmailSentAt
                      - inactiveSecondEmailSentAt
                  currentUserMode:
                    enum:
                      - read
                      - write
                      - guest
                    type: string
                required:
                  - workspace
                  - currentUserMode
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: BAD_REQUEST
                      status:
                        const: 400
                      message:
                        type: string
                        default: Bad Request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: Unauthorized
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '403':
          description: '403'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: FORBIDDEN
                      status:
                        const: 403
                      message:
                        type: string
                        default: Forbidden
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '500':
          description: '500'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INTERNAL_SERVER_ERROR
                      status:
                        const: 500
                      message:
                        type: string
                        default: Internal Server Error
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````